Mailinglist Archive: opensuse (1839 mails)

< Previous Next >
Re: [opensuse] latest kernel update breaks ATI binary driver
  • From: Anders Johansson <ajh@xxxxxxxx>
  • Date: Fri, 24 Sep 2010 00:40:49 +0200
  • Message-id: <201009240040.49353.ajh@xxxxxxxx>
On Friday 24 September 2010, John Andersen wrote:
On 9/23/2010 3:30 PM, Anders Johansson wrote:
On Friday 24 September 2010, jsa wrote:
I can't speak to all cards, but in my case their driver does not exist
for my Mobility Radeon x1400 card any more and I had to use their
package to built RPMs and then install those for the last several
versions of opensuse.

Well, this wouldn't affect the prebuilt package's ability to install

See this ARchives thread of yesterday:
http://linux.derkeiler.com/Mailing-Lists/SuSE/2010-09/msg01430.html

I can't go to AMD and download anything.
masterpatricko site, quoted in above archive message works for 2.6.33
but not 34.

The module you built for the pre-update kernel should work with the
latest kernel as well. Just copy over the module.

If it doesn't, you'll have to apply the patch from ATI

Where is that patch?

There are a few floating around the net. This is from bugzilla. This is for
the file kcl_ioctl.c

- return compat_alloc_user_space(size);
+ void __user *ret = arch_compat_alloc_user_space(size);
+
+ /* prevent stack overflow */
+ if (!access_ok(VERIFY_WRITE, ret, size))
+ return NULL;
+
+ return (void *)ret;

How this actually applies to the version you have I couldn't say since I don't
have it. It should be easy to do though

Anders
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >